Validates allowlist of IP addresses & ranges
curl --request POST \
--url https://api.getcortexapp.com/api/v1/ip-allowlist/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"address": "10.0.0.1",
"description": "<string>"
}
]
}
'import requests
url = "https://api.getcortexapp.com/api/v1/ip-allowlist/validate"
payload = { "entries": [
{
"address": "10.0.0.1",
"description": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entries: [{address: '10.0.0.1', description: '<string>'}]})
};
fetch('https://api.getcortexapp.com/api/v1/ip-allowlist/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "10.0.0.1",
"valid": true,
"description": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Validates allowlist of IP addresses & ranges
POST
/
api
/
v1
/
ip-allowlist
/
validate
Validates allowlist of IP addresses & ranges
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
application/json
Allowlist entries
Show child attributes
Show child attributes
Last modified on September 29, 2026